Kml (KML Framework API)
Keywords: org.boehn.kmlframework.kml.Kml class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.boehn.kmlframework.kml
Class Kml

    java.lang.Object
      org.boehn.kmlframework.kml.Kml

Direct Known Subclasses:
  HttpServletModel, HttpServletModel

    public class Kml

extends java.lang.Object

Field Summary
`protected boolean` | `atomElementsIncluded`
`protected boolean` | `celestialData`
`protected Feature` | `feature`
`protected boolean` | `generateObjectIds`
`protected NetworkLinkControl` | `networkLinkControl`

Constructor Summary
`Kml()`
`Kml(NetworkLinkControl networkLinkControl, Feature feature)`

Method Summary
`void` | `createKml(java.io.PrintWriter printWriter)`
`void` | `createKml(java.lang.String fileName)`
`void` | `createKmz(java.lang.String fileName)`
`Feature` | `getFeature()`
`NetworkLinkControl` | `getNetworkLinkControl()`
`boolean` | `getXmlIndent()`
`boolean` | `isAtomElementsIncluded()`
`boolean` | `isCelestialData()`
`boolean` | `isGenerateObjectIds()`
`void` | `print(int indentChangeBefore, java.lang.String string)`
`void` | `print(java.lang.String string)`
`void` | `print(java.lang.String string, int indentChangeAfter)`
`void` | `println(int indentChangeBefore, java.lang.String string)`
`void` | `println(java.lang.String string)`
`void` | `println(java.lang.String string, int indentChangeAfter)`
`void` | `setAtomElementsIncluded(boolean atomElementsIncluded)`
`void` | `setCelestialData(boolean celestialData)`
`void` | `setFeature(Feature feature)`
`void` | `setGenerateObjectIds(boolean generateObjectIds)`
`void` | `setNetworkLinkControl(NetworkLinkControl networkLinkControl)`
`void` | `setXmlIndent(boolean xmlIndent)`
`java.lang.String` | `toString()`
`void` | `write(Kml kml)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### networkLinkControl

    protected NetworkLinkControl networkLinkControl

### feature

    protected Feature feature

### celestialData

    protected boolean celestialData

### atomElementsIncluded

    protected boolean atomElementsIncluded

### generateObjectIds

    protected boolean generateObjectIds

Constructor Detail

### Kml

    public Kml()

### Kml

    public Kml(NetworkLinkControl networkLinkControl,
               Feature feature)

Method Detail

### setXmlIndent

    public void setXmlIndent(boolean xmlIndent)

### getXmlIndent

    public boolean getXmlIndent()

### getNetworkLinkControl

    public NetworkLinkControl getNetworkLinkControl()

### setNetworkLinkControl

    public void setNetworkLinkControl(NetworkLinkControl networkLinkControl)

### getFeature

    public Feature getFeature()

### setFeature

    public void setFeature(Feature feature)

### isCelestialData

    public boolean isCelestialData()

### setCelestialData

    public void setCelestialData(boolean celestialData)

### isAtomElementsIncluded

    public boolean isAtomElementsIncluded()

### setAtomElementsIncluded

    public void setAtomElementsIncluded(boolean atomElementsIncluded)

### isGenerateObjectIds

    public boolean isGenerateObjectIds()

### setGenerateObjectIds

    public void setGenerateObjectIds(boolean generateObjectIds)

### print

    public void print(java.lang.String string)

### println

    public void println(java.lang.String string)

### print

    public void print(java.lang.String string,
                      int indentChangeAfter)

### println

    public void println(java.lang.String string,
                        int indentChangeAfter)

### print

    public void print(int indentChangeBefore,
                      java.lang.String string)

### println

    public void println(int indentChangeBefore,
                        java.lang.String string)

### write

    public void write(Kml kml)
               throws KmlException

  Throws:
    `KmlException`

### createKml

    public void createKml(java.lang.String fileName)
                   throws KmlException,
                          java.io.IOException

  Throws:
    `KmlException`
    `java.io.IOException`

### createKml

    public void createKml(java.io.PrintWriter printWriter)
                   throws KmlException,
                          java.io.IOException

  Throws:
    `KmlException`
    `java.io.IOException`

### createKmz

    public void createKmz(java.lang.String fileName)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD